Subject: Re: [PATCH 2/6] builtin/gc: convert to use `packfile_store_get_all_packs()`

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 9 Oct 2025 08:36:03 +0200

On Wed, Oct 08, 2025 at 04:25:39PM -0400, Taylor Blau wrote:
> On Tue, Oct 07, 2025 at 02:41:08PM +0200, Patrick Steinhardt wrote:
> > When running maintenance tasks via git-maintenance(1) we have a couple
> > of auto-conditions that check whether or not a specific task should be
> > running. One such check is for incremental repacks, which essentially
> > use `git multi-pack-index repack` to repack a set of smaller packfiles
> > into one larger packfile.
> >
> > The auto-condition for this task checks how many packfiles there are
> > that aren't indexed by any multi-pack index. If there is a sufficient
> > number then we execute the above command to combine those into a single
> > pack and add them to the MIDX.
> 
> s/them/that pack/
> 
> > As we don't care about MIDX'd packs we use `packfile_store_get_packs()`,
> > which knows to not load any packs that are indexed by a MIDX. But as
> > explained in the preceding commit, we want to get rid of that function.
> >
> > We already handle packfiles that have an MIDX alright by the very nature
> 
> s/an/a/, s/alright//

Heh, I guess the first s/an/a/ depends on how you pronounce MIDX. I
typically say "em ei di ex", and in that case it's correct to say "an".
But I think I heard you pronounce it as a single word like "midex",
where it's indeed correct to say "a".

In any case, I don't care, let's just say "a midex".

Patrick